CMCICLIENTFT.SETINSTANCE(3)

NAME
CMCIClientFT.setInstance() - Replace class instance

SYNOPSIS
#include <cmci.h>

CMPIStatus*
CMCIClientFT.setInstance(CMCIClient*cl,
CMPIObjectPath*op,
CMPIFlagsflags,
char**properties,
CMPIStatus*rc);

DESCRIPTION
Replace a class instance with inst using op as reference. The content of the returned class instance structure can be controled using the flags parameter.

Arguments are the client object pointer cl, an ObjectPath object pointer op that contains namespace and classname components, flags to affect the returned class instance structure content,
 properties array, and rc which returns the operation status (suppressed when NULL).

The flags argument is a bit mask that can contain the following flag - CMPI_FLAG_IncludeQualifiers.

The properties array defines what properties should be returned for the class. If this argument is not NULL, only the class properties in the list are returned. If it's NULL all class properties are returned.

RETURN VALUE
When successful the CMCIClientFT.setInstance() function returns a CMPIStatus object with a successful operation status code. When unsuccessful it returns the operation error code and corresponding error string.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIStatus(3), CMPIObjectPath(3), CMPIFlags(3)